CatalogChannels
Update listings in bulk
POST
/v1/channels/{channelId}/listings/bulkUpdate listings in bulk. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
channelId*string
Identifier of the sales channel.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/channels/7204558912004325301/listings/bulk" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "ids": [ 1 ], "all": false, "status": "draft", "action": "publish" }'{ "affected": 1}